#!/usr/bin/env node

const program = require('commander'); //专门用于处理命令行工具的包
const chalk  = require('chalk');
const fs= require("fs");
const appInfo = require("../package.json");
const appCreate = require('./build');

program
  .version(appInfo.version)
  .usage('[options] [project name]')
  .parse(process.argv);

const appName = program.args[0];
const appPath = process.cwd();
if (!appName) {
  program.help();
  return;
}
fs.exists(appName, (exists)=>{
  if(exists) {
    console.log(`The directory ${chalk.green(appName)} already exists.`);
    console.log(`Try using a ${chalk.green('new')} directory name.`);
    return;
  }
  console.log(chalk.green(`creating a new react app in ${appPath} : ${appName} ...`));
  appCreate(appName);
});
